summarylogtreecommitdiffstats
path: root/c99
diff options
context:
space:
mode:
authorJames P. Harvey2018-10-17 18:47:08 -0400
committerJames P. Harvey2018-10-17 20:27:52 -0400
commit2f784559f42496cab455a9febf2323553eae656f (patch)
treec513375555db3b88d27b650170171e74f27a413f /c99
parent7196202db28d20a5440c757e791b9390f3cf8649 (diff)
downloadaur-2f784559f42496cab455a9febf2323553eae656f.tar.gz
Restarting with fork from core's gcc 8.2.1+20180831-1. .SRCINFO intentionally delayed to avoid conflicts on this commit with core.
Diffstat (limited to 'c99')
-rw-r--r--c9910
1 files changed, 10 insertions, 0 deletions
diff --git a/c99 b/c99
new file mode 100644
index 00000000000..88dd80640fe
--- /dev/null
+++ b/c99
@@ -0,0 +1,10 @@
+#!/bin/sh
+fl="-std=c99"
+for opt; do
+ case "$opt" in
+ -std=c99|-std=iso9899:1999) fl="";;
+ -std=*) echo "`basename $0` called with non ISO C99 option $opt" >&2
+ exit 1;;
+ esac
+done
+exec gcc $fl ${1+"$@"}